Subject: Re: bug#900: procps: w does not query elogind for sessions

From: Mark Hindley <[email-masked]>
Date: Tue, 29 Jul 2025 11:10:45 +0100

Andrew,

On Mon, Jul 28, 2025 at 09:06:10PM +0100, Andrew Bower wrote:
> > I believe the original impetus to remove libsystemd linkage from procps 
> > was to reduce libsystemd infiltration into 'core' utilities. 
> 
> I am all in favour of that ambition. I don't think the key
> building-block packages should depend on libsystemd, hence my
> disappointment when coreutils recently gained the dependency (should we
> be forking that?)

Hmmm, yes, conceivably.

> > Devuan systems without elogind are viable (I use sway/seatd as my daily 
> > driver) so just adding elogind support to procps isn't a universal 
> > solution.
> 
> Does sway/seatd write to utmp? Does it do anything else?

I think not: I run it from the console, so it relies on login(1).

> > Do you have a suggestion or idea as to a way forward?
> 
> I see we have forked util-linux, so one thing we could do is to fix the
> build of login(1) to restore writing to utmp, for virtual console
> logins. That assumes that this is what has actually been broken - I
> haven't checked yet.

That seems sane. I'll see if I can find the commit.

Thanks

Mark